package com.xzzn.ems.domain;

import java.math.BigDecimal;

import com.xzzn.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.xzzn.common.annotation.Excel;

/**
 * 冷却系统参数对象 ems_cooling_data
 *
 * @author xzzn
 * @date 2025-06-29
 */
public class EmsCoolingData extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long id;

    /** 系统名称，如1#液冷 */
    @Excel(name = "系统名称，如1#液冷")
    private String systemName;

    /** 工作模式 */
    @Excel(name = "工作模式")
    private String workMode;

    /** 当前温度 (℃) */
    @Excel(name = "当前温度 (℃)")
    private BigDecimal currentTemperature;

    /** 制热开启点 (℃) */
    @Excel(name = "制热开启点 (℃)")
    private BigDecimal heatingStartPoint;

    /** 制冷开启点 (℃) */
    @Excel(name = "制冷开启点 (℃)")
    private BigDecimal coolingStartPoint;

    /** 高温告警点 (℃) */
    @Excel(name = "高温告警点 (℃)")
    private BigDecimal highTempAlarmPoint;

    /** 制热停止点 (℃) */
    @Excel(name = "制热停止点 (℃)")
    private BigDecimal heatingStopPoint;

    /** 制冷停止点 (℃) */
    @Excel(name = "制冷停止点 (℃)")
    private BigDecimal coolingStopPoint;

    /** 低温告警点 (℃) */
    @Excel(name = "低温告警点 (℃)")
    private BigDecimal lowTempAlarmPoint;

    /** 站点id */
    @Excel(name = "站点id")
    private String siteId;

    /** 设备唯一标识符 */
    @Excel(name = "设备唯一标识符")
    private String deviceId;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }

    public void setSystemName(String systemName)
    {
        this.systemName = systemName;
    }

    public String getSystemName()
    {
        return systemName;
    }

    public void setWorkMode(String workMode)
    {
        this.workMode = workMode;
    }

    public String getWorkMode()
    {
        return workMode;
    }

    public void setCurrentTemperature(BigDecimal currentTemperature)
    {
        this.currentTemperature = currentTemperature;
    }

    public BigDecimal getCurrentTemperature()
    {
        return currentTemperature;
    }

    public void setHeatingStartPoint(BigDecimal heatingStartPoint)
    {
        this.heatingStartPoint = heatingStartPoint;
    }

    public BigDecimal getHeatingStartPoint()
    {
        return heatingStartPoint;
    }

    public void setCoolingStartPoint(BigDecimal coolingStartPoint)
    {
        this.coolingStartPoint = coolingStartPoint;
    }

    public BigDecimal getCoolingStartPoint()
    {
        return coolingStartPoint;
    }

    public void setHighTempAlarmPoint(BigDecimal highTempAlarmPoint)
    {
        this.highTempAlarmPoint = highTempAlarmPoint;
    }

    public BigDecimal getHighTempAlarmPoint()
    {
        return highTempAlarmPoint;
    }

    public void setHeatingStopPoint(BigDecimal heatingStopPoint)
    {
        this.heatingStopPoint = heatingStopPoint;
    }

    public BigDecimal getHeatingStopPoint()
    {
        return heatingStopPoint;
    }

    public void setCoolingStopPoint(BigDecimal coolingStopPoint)
    {
        this.coolingStopPoint = coolingStopPoint;
    }

    public BigDecimal getCoolingStopPoint()
    {
        return coolingStopPoint;
    }

    public void setLowTempAlarmPoint(BigDecimal lowTempAlarmPoint)
    {
        this.lowTempAlarmPoint = lowTempAlarmPoint;
    }

    public BigDecimal getLowTempAlarmPoint()
    {
        return lowTempAlarmPoint;
    }

    public void setSiteId(String siteId)
    {
        this.siteId = siteId;
    }

    public String getSiteId()
    {
        return siteId;
    }

    public void setDeviceId(String deviceId)
    {
        this.deviceId = deviceId;
    }

    public String getDeviceId()
    {
        return deviceId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("systemName", getSystemName())
                .append("workMode", getWorkMode())
                .append("currentTemperature", getCurrentTemperature())
                .append("heatingStartPoint", getHeatingStartPoint())
                .append("coolingStartPoint", getCoolingStartPoint())
                .append("highTempAlarmPoint", getHighTempAlarmPoint())
                .append("heatingStopPoint", getHeatingStopPoint())
                .append("coolingStopPoint", getCoolingStopPoint())
                .append("lowTempAlarmPoint", getLowTempAlarmPoint())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .append("siteId", getSiteId())
                .append("deviceId", getDeviceId())
                .toString();
    }
}
