package com.xzzn.ems.mapper;

import java.util.List;
import com.xzzn.ems.domain.EmsAmmeterData;
import com.xzzn.ems.domain.vo.AmmeterDataDetailInfo;
import org.apache.ibatis.annotations.Param;

/**
 * 总数据Mapper接口
 *
 * @author xzzn
 * @date 2025-06-27
 */
public interface EmsAmmeterDataMapper
{
    /**
     * 查询总数据
     *
     * @param id 总数据主键
     * @return 总数据
     */
    public EmsAmmeterData selectEmsAmmeterDataById(Long id);

    /**
     * 查询总数据列表
     *
     * @param emsAmmeterData 总数据
     * @return 总数据集合
     */
    public List<EmsAmmeterData> selectEmsAmmeterDataList(EmsAmmeterData emsAmmeterData);

    /**
     * 新增总数据
     *
     * @param emsAmmeterData 总数据
     * @return 结果
     */
    public int insertEmsAmmeterData(EmsAmmeterData emsAmmeterData);

    /**
     * 修改总数据
     *
     * @param emsAmmeterData 总数据
     * @return 结果
     */
    public int updateEmsAmmeterData(EmsAmmeterData emsAmmeterData);

    /**
     * 删除总数据
     *
     * @param id 总数据主键
     * @return 结果
     */
    public int deleteEmsAmmeterDataById(Long id);

    /**
     * 批量删除总数据
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteEmsAmmeterDataByIds(Long[] ids);

    /**
     * 获取总表详细数据
     * @param siteId
     * @return
     */
    public List<AmmeterDataDetailInfo> getAmmeterDetailInfo(@Param("siteId")String siteId,@Param("deviceId") String deviceId);
}
